### Function

# Camel Trie new

since: 2.24

#### Declaration [src]

    CamelTrie*
    camel_trie_new (
      gboolean icase
    )

#### Description [src]

Creates a new `CamelTrie`. If `icase` is `TRUE`, then pattern matching done by the CamelTrie will be case insensitive.

Available since: 2.24

This function is not directly available to language bindings.

#### Parameters

`icase`

  Type: `gboolean`

  Case sensitivity for the `CamelTrie`.

#### Return value

Type: `CamelTrie`

The newly-created `CamelTrie`.

The data is owned by the called function.